Berkeley DB Java Edition version 3.2.76

## com.sleepycat.je
Class PreloadStats

    java.lang.Object
      com.sleepycat.je.PreloadStats

All Implemented Interfaces:
  Serializable

    public class PreloadStats

extends Object
implements Serializable

Statistics for a Database.preload() operation.

See Also:
  Serialized Form

Field Summary
`PreloadStatus` `status` The status of the preload() operation.

Method Summary
`int` `getNBINsLoaded()` The number of BINs that were loaded into the cache during the preload() operation.
`int` `getNDBINsLoaded()` The number of DBINs that were loaded into the cache during the preload() operation.
`int` `getNDINsLoaded()` The number of DINs that were loaded into the cache during the preload() operation.
`int` `getNDupCountLNsLoaded()` The number of DupCountLNs that were loaded into the cache during the preload() operation.
`int` `getNINsLoaded()` The number of INs that were loaded into the cache during the preload() operation.
`int` `getNLNsLoaded()` The number of LNs that were loaded into the cache during the preload() operation.
`PreloadStatus` `getStatus()` The PreloadStatus value for the preload() operation.
`String` `toString()` Returns a String representation of the stats in the form of <stat>=<value>

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### status

    public PreloadStatus status

  The status of the preload() operation.

Method Detail

### getNINsLoaded

    public int getNINsLoaded()

  The number of INs that were loaded into the cache during the preload() operation.

### getNBINsLoaded

    public int getNBINsLoaded()

  The number of BINs that were loaded into the cache during the preload() operation.

### getNLNsLoaded

    public int getNLNsLoaded()

  The number of LNs that were loaded into the cache during the preload() operation.

### getNDINsLoaded

    public int getNDINsLoaded()

  The number of DINs that were loaded into the cache during the preload() operation.

### getNDBINsLoaded

    public int getNDBINsLoaded()

  The number of DBINs that were loaded into the cache during the preload() operation.

### getNDupCountLNsLoaded

    public int getNDupCountLNsLoaded()

  The number of DupCountLNs that were loaded into the cache during the preload() operation.

### getStatus

    public PreloadStatus getStatus()

  The PreloadStatus value for the preload() operation.

### toString

    public String toString()

  Returns a String representation of the stats in the form of <stat>=<value>

  Overrides:
    `toString` in class `Object`

Berkeley DB Java Edition version 3.2.76

Copyright 1996,2008 Oracle. All rights reserved.